import { unref } from 'vue';
import { useEventListener } from '../useEventListener';
var defaultOptions = {
  event: 'click'
};

var useClickAway = (listener, target, options = defaultOptions) => {
  var onClick = evt => {
    var element = unref(target);

    if (element && !element.contains(evt.target)) {
      listener(evt);
    }
  };

  useEventListener(options.event, onClick, {
    target: document
  });
};

export { useClickAway };