var _excluded = ["link", "unlink", "internalChildren"];

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import { getCurrentInstance, inject, onUnmounted, computed } from 'vue';

var useProvider = key => {
  var context = inject(key, null);

  if (context) {
    var instance = getCurrentInstance();

    var {
      link: _link,
      unlink: _unlink,
      internalChildren
    } = context,
        rest = _objectWithoutProperties(context, _excluded);

    _link(instance);

    onUnmounted(() => _unlink(instance));
    var idx = computed(() => internalChildren.indexOf(instance));
    return {
      context: rest,
      idx: idx.value
    };
  }

  return {
    context: null,
    idx: -1
  };
};

export { useProvider };