import { onMounted, onBeforeUnmount, onDeactivated } from 'vue';

var useTitle = title => {
  var setTitle = () => document.title = title;

  var resetTitle = () => document.title = '';

  onMounted(setTitle);
  onBeforeUnmount(resetTitle);
  onDeactivated(resetTitle);
};

export { useTitle };